Good story of death and being tied to a stack!
https://github.com/teamhephy/workflow/issues

"I use Deis on a single server. It works great."
    - https://news.ycombinator.com/item?id=15897906
"Deis was the hardest of the bunch. It essential is a manual process to get Kubernetes up and running unless you use the cozy Google Cloud Container which I did but isn't cheap ($100/month before bandwidth for 2 containers)"...
    - https://news.ycombinator.com/item?id=13015532